Subject: bug#11765: closed (Re: bug#11670: Emacs 24.1 (9.0) bug OSX Lion: control-key not seen with OSX Screen Sharing)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jul 2012 11:10:03 +0000

Your bug report

#11670: 24.1 upgrade breaks porkrind Emacs over Mac-to-Mac screen sharing

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11670: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11670
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11670: Emacs 24.1 (9.0) bug OSX Lion: control-key not seen with OSX Screen Sharing
From: Jan Djärv <[email-masked]>
To: John Mount <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jul 2012 13:03:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

11 jun 2012 kl. 01:36 skrev John Mount:

> 
> Emacs 24.1 (9.0) bug OSX Lion: control-key not seen with OSX Screen Sharing
> 
> Clean build of Emacs 24.1 (9.0) with configure: "configure --with-gif=no --with-ns".  Running emacs on a remote OSX Lion machine from an OSX Lion Machine using OSX Screen Sharing (a VNC derivative) emacs can not see control characters ("-ns" version works and and earlier 23.1 (9.0) also works).
> 

This has been fixed in the trunk.

	Jan D.

Subject: 24.1 upgrade breaks porkrind Emacs over Mac-to-Mac screen sharing
From: Mike Orr <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 22 Jun 2012 08:19:40 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a regression between vanilla installs of 23.4.1 and 24.1.1 porkrind.org Emacs on a Lion (10.7.4) Mac Pro. I see the regression only in the context of running Emacs over Mac-to-Mac OS X Screen Sharing - 24.1 is running fine when executed locally. I'm testing with my Emacs init file disappeared via renaming.

I'm observing this on two Screen Sharing clients: one is a Snow Leopard (10.6.8) Mac Pro; the other is a Lion (10.7.4) MacBook Pro. I get the same results with both.

The regression is that Ctrl- and Alt- key chords don't work in 24.1 (only) over Screen Sharing. It's *not* simply that Ctrl and Alt are not seen; in other words it's *not* the case that when I type C-x I get an 'x' in the buffer. I don't have a concrete description of exactly what occurs - visually I either see nothing, I see a symbol appear in the buffer, or I see an error message that might be appropriate for some command, but is unrelated to what I tried to type. One thing I know to be reliably reproducible is that if I start Emacs and immediately type C-h, I get the message "Beginning of buffer".

Fwiw, this is in a VPN context. The VPN config is very different for the two clients; Cisco hardware in one case, Cisco AnyConnect software in the other.

Hope it helps,
Mike Orr